﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApplication168.ViewModel;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication168
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        VM vm;
        public MainWindow()
        {
            InitializeComponent();
            vm = window1.Resources["vm"] as VM;
         //   layoutroot.DataContext = vm;
        }

        private void xgrid1_RecordsInViewChanged(object sender, Infragistics.Windows.DataPresenter.Events.RecordsInViewChangedEventArgs e)
        {
           // MessageBox.Show("ok");
            
        }

        private void xgrid1_RecordsInViewChangedDirect(object sender, Infragistics.Windows.DataPresenter.Events.RecordsInViewChangedEventArgs e)
        {
            
        }

        private void CellValuePresenter_MouseEnter(object sender, MouseEventArgs e)
        {
            CellValuePresenter cvp = (CellValuePresenter)sender;
            
            if (cvp.Field != null)
            {
                vm.FieldName = cvp.Field.Name;
            }
        }

        private void CellValuePresenter_PreviewMouseMove(object sender, MouseEventArgs e)
        {
            CellValuePresenter cvp = (CellValuePresenter)sender;

            if (cvp.Field != null)
            {
                vm.FieldName = cvp.Field.Name;
            }
        }

        private void CellValuePresenter_MouseLeave(object sender, MouseEventArgs e)
        {
            CellValuePresenter cvp = (CellValuePresenter)sender;

            if (cvp.Field != null)
            {
                vm.FieldName = string.Empty;
            }
        }
    }
}
